Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Interface EmbedderMonitor

All Known Implementing Classes:
  EmbedderMonitorDecorator, NullEmbedderMonitor, PrintStreamEmbedderMonitor, ReportingFailuresEmbedderMonitor, SilentEmbedderMonitor

    public interface EmbedderMonitor

Method Summary
`void` | `annotatedInstanceNotOfType(Object annotatedInstance, Class<?> type)`
`void` | `batchFailed(BatchFailures failures)`
`void` | `beforeOrAfterStoriesFailed()`
`void` | `embeddableFailed(String name, Throwable cause)`
`void` | `embeddableNotConfigurable(String name)`
`void` | `embeddablesSkipped(List<String> classNames)`
`void` | `generatingMapsView(File outputDirectory, StoryMaps storyMaps, Properties viewProperties)`
`void` | `generatingNavigatorView(File outputDirectory, Properties viewResources)`
`void` | `generatingReportsView(File outputDirectory, List<String> formats, Properties viewProperties)`
`void` | `mappingStory(String storyPath, List<String> metaFilters)`
`void` | `mapsViewGenerationFailed(File outputDirectory, StoryMaps storyMaps, Properties viewProperties, Throwable cause)`
`void` | `metaNotAllowed(Meta meta, MetaFilter filter)`
`void` | `navigatorViewGenerationFailed(File outputDirectory, Properties viewResources, Throwable cause)`
`void` | `navigatorViewNotGenerated()`
`void` | `processingSystemProperties(Properties properties)`
`void` | `reportsViewFailures(ReportsCount count)`
`void` | `reportsViewGenerated(ReportsCount count)`
`void` | `reportsViewGenerationFailed(File outputDirectory, List<String> formats, Properties viewProperties, Throwable cause)`
`void` | `reportsViewNotGenerated()`
`void` | `runningEmbeddable(String name)`
`void` | `runningStory(String path)`
`void` | `runningWithAnnotatedEmbedderRunner(String className)`
`void` | `storiesNotAllowed(List<Story> notAllowed, MetaFilter filter)` Deprecated. Use #storiesNotAllowed(List, MetaFilter, boolean)
`void` | `storiesNotAllowed(List<Story> notAllowed, MetaFilter filter, boolean verbose)`
`void` | `storiesSkipped(List<String> storyPaths)`
`void` | `storyFailed(String path, Throwable cause)`
`void` | `storyTimeout(Story story, StoryDuration storyDuration)`
`void` | `systemPropertySet(String name, String value)`
`void` | `usingControls(EmbedderControls embedderControls)`
`void` | `usingExecutorService(ExecutorService executorService)`
`void` | `usingThreads(int threads)`

Method Detail

### runningEmbeddable

    void runningEmbeddable(String name)

### embeddableFailed

    void embeddableFailed(String name,
                          Throwable cause)

### embeddableNotConfigurable

    void embeddableNotConfigurable(String name)

### embeddablesSkipped

    void embeddablesSkipped(List<String> classNames)

### metaNotAllowed

    void metaNotAllowed(Meta meta,
                        MetaFilter filter)

### runningStory

    void runningStory(String path)

### storyFailed

    void storyFailed(String path,
                     Throwable cause)

### storiesSkipped

    void storiesSkipped(List<String> storyPaths)

### storiesNotAllowed

    void storiesNotAllowed(List<Story> notAllowed,
                           MetaFilter filter)

  Deprecated. Use #storiesNotAllowed(List, MetaFilter, boolean)

### storiesNotAllowed

    void storiesNotAllowed(List<Story> notAllowed,
                           MetaFilter filter,
                           boolean verbose)

### batchFailed

    void batchFailed(BatchFailures failures)

### beforeOrAfterStoriesFailed

    void beforeOrAfterStoriesFailed()

### generatingReportsView

    void generatingReportsView(File outputDirectory,
                               List<String> formats,
                               Properties viewProperties)

### reportsViewGenerationFailed

    void reportsViewGenerationFailed(File outputDirectory,
                                     List<String> formats,
                                     Properties viewProperties,
                                     Throwable cause)

### reportsViewGenerated

    void reportsViewGenerated(ReportsCount count)

### reportsViewFailures

    void reportsViewFailures(ReportsCount count)

### reportsViewNotGenerated

    void reportsViewNotGenerated()

### runningWithAnnotatedEmbedderRunner

    void runningWithAnnotatedEmbedderRunner(String className)

### annotatedInstanceNotOfType

    void annotatedInstanceNotOfType(Object annotatedInstance,
                                    Class<?> type)

### mappingStory

    void mappingStory(String storyPath,
                      List<String> metaFilters)

### generatingMapsView

    void generatingMapsView(File outputDirectory,
                            StoryMaps storyMaps,
                            Properties viewProperties)

### mapsViewGenerationFailed

    void mapsViewGenerationFailed(File outputDirectory,
                                  StoryMaps storyMaps,
                                  Properties viewProperties,
                                  Throwable cause)

### generatingNavigatorView

    void generatingNavigatorView(File outputDirectory,
                                 Properties viewResources)

### navigatorViewGenerationFailed

    void navigatorViewGenerationFailed(File outputDirectory,
                                       Properties viewResources,
                                       Throwable cause)

### navigatorViewNotGenerated

    void navigatorViewNotGenerated()

### processingSystemProperties

    void processingSystemProperties(Properties properties)

### systemPropertySet

    void systemPropertySet(String name,
                           String value)

### storyTimeout

    void storyTimeout(Story story,
                      StoryDuration storyDuration)

### usingThreads

    void usingThreads(int threads)

### usingExecutorService

    void usingExecutorService(ExecutorService executorService)

### usingControls

    void usingControls(EmbedderControls embedderControls)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.